package de.gematik.ti.vauchannel.protocol;

public enum VAUProtocolSessionState {
    handshaking,   // vom Erzeugen bis zum vollständigen Abschließen des Handshakes
    open,          // nach erfolgreichem Handshake, in der Verschlüsselungsphase
    closing,       // auf dem Server, wenn nur noch die Response rausgeschickt werden soll, und dann der Kanal geschlossen ist
    closed         // Kanal ist geschlossen und darf nicht mehr verwendet werden
}
